/*
 * @Author: dminyi 1301963064@qq.com
 * @Date: 2024-08-10 10:08:15
 * @LastEditors: dminyi 1301963064@qq.com
 * @LastEditTime: 2024-08-10 12:01:33
 * @FilePath: \gzDyh\gz-customerSystem\src\components\registerTab\index.jsx
 * @Description: 来访登记tab
 */
import React from 'react';
import PropTypes from 'prop-types';
import { Space } from 'antd';
import { process } from '../../assets/images';
import './index.less';

const RegisterTab = ({ tabs, activeKey, style, onChange, keyStr = ['key', 'label'], border = false, img1 }) => {
    return (
        <div className={`registerTab ${border ? 'registerTab-border' : ''}`} style={style}>
            <div style={{ width: '100%', display: 'flex' }} >
                {tabs.map((x, t) => {
                    return (
                        <div
                            onClick={() => onChange(x[keyStr[0]])}
                            key={x[keyStr[0]]}
                            className={`registerTab-tab ${activeKey === x[keyStr[0]] ? 'registerTab-active' : ''}`}
                        >
                            <div style={{ display: 'flex' }}>
                                <div className='registerTab-tab-number' style={{ backgroundColor: activeKey === x[keyStr[0]] ? '#1A6FB8' : '#F2F3F5' }}><div className='registerTab-tab-number-inner' style={{ color: activeKey === x[keyStr[0]] ? '#ffff' : '' }}>{x[keyStr[0]]}</div></div>
                                <div style={{color:'#1D2129',fontSize:'16px'}}>{x[keyStr[1]]}</div>
                                {!x.img1 && <img src={process} alt='' className='img' />}
                            </div>
                        </div>
                    );
                })}
            </div>
        </div>
    );
};

RegisterTab.propTypes = {
    tabs: PropTypes.array,
    activeKey: PropTypes.any,
    style: PropTypes.object,
    onChange: PropTypes.func,
    keyStr: PropTypes.array,
};

export default RegisterTab;